### Method

# Gtk Imageget_gicon

#### Declaration [src]

    GIcon*
    gtk_image_get_gicon (
      GtkImage* image
    )

#### Description [src]

Gets the `GIcon` being displayed by the `GtkImage`.

The storage type of the image must be `GTK_IMAGE_EMPTY` or `GTK_IMAGE_GICON` (see `gtk_image_get_storage_type()`). The caller of this function does not own a reference to the returned `GIcon`.

Gets property | `Gtk.Image:gicon`

#### Return value

Type: `GIcon`

A `GIcon`

The data is owned by the instance.
The return value can be `NULL`.